account/urls.py
from rest_framework.routers import DefaultRouter

from .viewsets import UserViewSet
router = DefaultRouter()


router.register(r'users', UserViewSet, basename="users"),

urlpatterns = router.urls

article/urls.py
from django.conf.urls import url
from django.urls import path
from .views import PostListView, PostDetailView

from rest_framework.routers import DefaultRouter
from account.viewsets import UserViewSet



urlpatterns = [

    path('', PostListView.as_view()),
    path('<slug:slug>/', PostDetailView.as_view(), name='post_detail'),
]



# router = DefaultRouter()
# router.register(r"users", UserViewSet, basename="")
#
#
#
#
# # urlpatterns = router.urls

blog/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from rest_framework import permissions
from drf_yasg.views import get_schema_view
from drf_yasg import openapi

urlpatterns = [
    path('admin/', admin.site.urls),
    path("", include("article.urls"), name='article'),
    path(r'^ckeditor/', include('ckeditor_uploader.urls')),

    path('api/', include('core.urls')),
]



# if settings.DEBUG:
#     urlpatterns += sta

core/urls.py
from django.conf.urls import url
from django.urls import path, include


from rest_framework import permissions
from drf_yasg.views import get_schema_view
from drf_yasg import openapi

schema_view = get_schema_view(
   openapi.Info(
      title="Snippets API",
      default_version='v1',
      description="Test description",
      terms_of_service="https://www.google.com/policies/terms/",
      contact=openapi.Contact(email="contact@snippets.local"),
      license=openapi.License(name="BSD License"),
   ),
   public=True,
   permission_classes=(permissions.AllowAny,),
)

urlpatterns = [
    url(r'^swagger(?P<format>\.json|\.yaml)$', schema_view.without_ui(cache_timeout=0), name='schema-json'),
    url(r'^swagger/$', schema_view.with_ui('swagger', cache_timeout=0), name='schema-swagger-ui'),
    url(r'^redoc/$', schema_view.with_ui('redoc', cache_timeout=0), name='schema-redoc'),
    path('account/', include("account.urls")),
    path('article/', include('article.api_urls')),
]

account/models.py
from django.db import models

# Create your models here.

article/models.py
from django.db import models
from django.contrib.auth import get_user_model
from ckeditor_uploader.fields import RichTextUploadingField

User = get_user_model()
# Create your models here.
POST_STATUS = (("draft", 'Draft'),
               ('publish', 'Publish'))


class PostQuerySet(models.QuerySet):
    def draft(self):
        return self.filter(status='draft')

    def publish(self):
        return self.filter(status='publish')


class PostManager(models.Manager):
    def draft(self):
        return self.get_queryset().draft()

    def publish(self):
        return self.get_queryset().publish()

    def get_queryset(self):
        return PostQuerySet(model=self.model, using=self._db, hints=self._hints)


class Post(models.Model):
    author = models.ForeignKey(User, on_delete=models.CASCADE)
    title = models.CharField(max_length=100, unique=True)
    body = RichTextUploadingField()
    status = models.CharField(max_length=20, choices=POST_STATUS, default="draft")
    slug = models.SlugField(max_length=100, unique=True)
    created = models.DateTimeField(auto_now_add=True)
    update = models.DateTimeField(auto_now=True)
    objects = PostManager()

    class Meta:
        default_related_name = "posts"
        ordering = ("created",)

    def __str__(self) -> str:
        return f"{self.id}:{self.title}"


class Comment(models.Model):
    author = models.CharField(max_length=60)
    post = models.ForeignKey(Post, on_delete=models.CASCADE, related_name="comments")
    body = models.TextField()
    created = models.DateTimeField(auto_now_add=True)
    updated = models.DateTimeField(auto_now=True)

    class Meta:
        ordering = ("created",)


class Like(models.Model):
    post = models.ForeignKey('Post', on_delete=models.CASCADE, related_name='likes')
    session_key = models.CharField(max_length=100)
    created = models.DateTimeField(auto_now_add=True)

    class Meta:
        unique_together = ('post', 'session_key',)

account/views.py
from django.shortcuts import render

# Create your views here.

article/views.py
from django.shortcuts import render
from django.http.response import HttpResponse
from django.views.generic import ListView, DetailView
from .models import Post, Comment
import requests


# def hello_world(request):
#     return HttpResponse('<input type="button" value="Нажать" data-color="red" >')

class PostListView(ListView):
    queryset = Post.objects.draft()
    template_name = 'article/index.html'


class PostDetailView(DetailView):
    model = Post
    template_name = 'article/post_detail.html'

templates/article/index.html
{% extends 'base.html' %}
{% block context %}
    <div>{% for post in post_list %}
        <div>
        <h2>{{ post.title }}</h2>
        <p>{{ post.author }}|{{ post.created }}</p>
        <p>{{ post.body }}</p>
        <a href="{% url 'post_detail' post.slug %}">  ferge </a>
        </div>
    {% endfor %}
    </div>
{% endblock context  %}

templates/article/post_detail.html
{% extends 'base.html' %}
{% block context %}
    <div>
        <div>

            <h2>{{ post.title }}</h2>
            <p>{{ post.author }} | {{ post.created }}</p>
            <p>{{ post.update }}</p>

            <p>{{ post.body | safe }}</p>

        </div>
    </div>
{% endblock context%}

templates/base.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
{% block context %}
{% endblock context %}
</body>
</html>

venv1/share/jupyter/nbconvert/templates/base/celltags.j2
{%- macro celltags(cell) -%}
    {% if cell.metadata.tags | length > 0 -%}
        {% for tag in cell.metadata.tags -%}
            {{ ' celltag_' ~ tag -}}
        {%- endfor -%}
    {%- endif %}
{%- endmacro %}

venv1/share/jupyter/nbconvert/templates/base/display_priority.j2
{%- extends 'base/null.j2' -%}

{#display data priority#}


{%- block data_priority scoped -%}
    {%- for type in output.data | filter_data_type -%}
        {%- if type == 'application/pdf' -%}
            {%- block data_pdf -%}
            {%- endblock -%}
        {%- elif type == 'image/svg+xml' -%}
            {%- block data_svg -%}
            {%- endblock -%}
        {%- elif type == 'image/png' -%}
            {%- block data_png -%}
            {%- endblock -%}
        {%- elif type == 'text/html' -%}
            {%- block data_html -%}
            {%- endblock -%}
        {%- elif type == 'text/markdown' -%}
            {%- block data_markdown -%}
            {%- endblock -%}
        {%- elif type == 'image/jpeg' -%}
            {%- block data_jpg -%}
            {%- endblock -%}
        {%- elif type == 'text/plain' -%}
            {%- block data_text -%}
            {%- endblock -%}
        {%- elif type == 'text/latex' -%}
            {%- block data_latex -%}
            {%- endblock -%}
        {%- elif type == 'application/javascript' -%}
            {%- block data_javascript -%}
            {%- endblock -%}
        {%- elif type == 'application/vnd.jupyter.widget-state+json' -%}
            {%- block data_widget_state -%}
            {%- endblock -%}
        {%- elif type == 'application/vnd.jupyter.widget-view+json' -%}
            {%- block data_widget_view -%}
            {%- endblock -%}
        {%- else -%}
            {%- block data_other -%}
            {%- endblock -%}
        {%- endif -%}
    {%- endfor -%}
{%- endblock data_priority -%}

venv1/share/jupyter/nbconvert/templates/base/jupyter_widgets.html.j2
{%- macro jupyter_widgets(widgets_cdn_url, html_manager_semver_range) -%}

<script>
(function() {
  function addWidgetsRenderer() {
    var mimeElement = document.querySelector('script[type="application/vnd.jupyter.widget-view+json"]');
    var scriptElement = document.createElement('script');
    var widgetRendererSrc = '{{ widgets_cdn_url }}@jupyter-widgets/html-manager@{{ html_manager_semver_range }}/dist/embed-amd.js';
    var widgetState;

    // Fallback for older version:
    try {
      widgetState = mimeElement && JSON.parse(mimeElement.innerHTML);

      if (widgetState && (widgetState.version_major < 2 || !widgetState.version_major)) {
        widgetRendererSrc = '{{ widgets_cdn_url }}jupyter-js-widgets@*/dist/embed.js';
      }
    } catch(e) {}

    scriptElement.src = widgetRendererSrc;
    document.body.appendChild(scriptElement);
  }

  document.addEventListener('DOMContentLoaded', addWidgetsRenderer);
}());
</script>

{%- endmacro %}

venv1/share/jupyter/nbconvert/templates/base/mathjax.html.j2
{%- macro mathjax(url="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/latest.js?config=TeX-MML-AM_CHTML-full,Safe") -%}
    <!-- Load mathjax -->
    <script src="{{url}}"> </script>
    <!-- MathJax configuration -->
    <script type="text/x-mathjax-config">
    init_mathjax = function() {
        if (window.MathJax) {
        // MathJax loaded
            MathJax.Hub.Config({
                TeX: {
                    equationNumbers: {
                    autoNumber: "AMS",
                    useLabelIds: true
                    }
                },
                tex2jax: {
                    inlineMath: [ ['$','$'], ["\\(","\\)"] ],
                    displayMath: [ ['$$','$$'], ["\\[","\\]"] ],
                    processEscapes: true,
                    processEnvironments: true
                },
                displayAlign: 'center',
                CommonHTML: {
                    linebreaks: { 
                    automatic: true 
                    }
                },
                "HTML-CSS": {
                    linebreaks: { 
                    automatic: true 
                    }
                }
            });
        
            MathJax.Hub.Queue(["Typeset", MathJax.Hub]);
        }
    }
    init_mathjax();
    </script>
    <!-- End of mathjax configuration -->
{%- endmacro %}

venv1/share/jupyter/nbconvert/templates/base/null.j2
{#

DO NOT USE THIS AS A BASE,
IF YOU ARE COPY AND PASTING THIS FILE
YOU ARE PROBABLY DOING THINGS INCORRECTLY.

Null template, does nothing except defining a basic structure
To layout the different blocks of a notebook.

Subtemplates can override blocks to define their custom representation.

If one of the block you do overwrite is not a leaf block, consider
calling super.

{%- block nonLeafBlock -%}
    #add stuff at beginning
    {{ super() }}
    #add stuff at end
{%- endblock nonLeafBlock -%}

consider calling super even if it is a leaf block, we might insert more blocks later.

#}
{%- block header -%}
{%- endblock header -%}
{%- block body -%}
    {%- block body_header -%}
    {%- endblock body_header -%}
    {%- block body_loop -%}
        {%- for cell in nb.cells -%}
            {%- block any_cell scoped -%}
                {%- if cell.cell_type == 'code'-%}
                    {%- if resources.global_content_filter.include_code -%}
                    {%- block codecell scoped -%}
                        {%- if resources.global_content_filter.include_input and not cell.get("transient",{}).get("remove_source", false) -%}
                            {%- block input_group -%}
                            {%- if resources.global_content_filter.include_input_prompt -%}
                                {%- block in_prompt -%}{%- endblock in_prompt -%}
                            {%- endif -%}
                                {%- block input -%}{%- endblock input -%}
                            {%- endblock input_group -%}
                        {%- endif -%}
                        {%- if cell.outputs and resources.global_content_filter.include_output -%}
                            {%- block output_group -%}
                                {%- if resources.global_content_filter.include_output_prompt -%}
                                    {%- block output_prompt -%}{%- endblock output_prompt -%}
                                {%- endif -%}
                                {%- block outputs scoped -%}
                                    {%- for output in cell.outputs -%}
                                        {%- block output scoped -%}
                                            {%- if output.output_type == 'execute_result' -%}
                                                {%- block execute_result scoped -%}{%- endblock execute_result -%}
                                            {%- elif output.output_type == 'stream' -%}
                                                {%- block stream scoped -%}
                                                    {%- if output.name == 'stdout' -%}
                                                        {%- block stream_stdout scoped -%}
                                                        {%- endblock stream_stdout -%}
                                                    {%- elif output.name == 'stderr' -%}
                                                        {%- block stream_stderr scoped -%}
                                                        {%- endblock stream_stderr -%}
                                                    {%- endif -%}
                                                {%- endblock stream -%}
                                            {%- elif output.output_type == 'display_data' -%}
                                                {%- block display_data scoped -%}
                                                    {%- block data_priority scoped -%}
                                                    {%- endblock data_priority -%}
                                                {%- endblock display_data -%}
                                            {%- elif output.output_type == 'error' -%}
                                                {%- block error scoped -%}
                                                {%- for line in output.traceback -%}
                                                    {%- block traceback_line scoped -%}{%- endblock traceback_line -%}
                                                {%- endfor -%}
                                                {%- endblock error -%}
                                            {%- endif -%}
                                        {%- endblock output -%}
                                    {%- endfor -%}
                                {%- endblock outputs -%}
                            {%- endblock output_group -%}
                        {%- endif -%}
                    {%- endblock codecell -%}
                    {%- endif -%}
                {%- elif cell.cell_type in ['markdown'] -%}
                    {%- if resources.global_content_filter.include_markdown and not cell.get("transient",{}).get("remove_source", false) -%}
                        {%- block markdowncell scoped-%} {%- endblock markdowncell -%}
                    {%- endif -%}
                {%- elif cell.cell_type in ['raw'] -%}
                    {%- if resources.global_content_filter.include_raw and not cell.get("transient",{}).get("remove_source", false) -%}
                        {%- block rawcell scoped -%}
                        {%- if cell.metadata.get('raw_mimetype', '').lower() in resources.get('raw_mimetypes', ['']) -%}
                        {{ cell.source }}
                        {%- endif -%}
                        {%- endblock rawcell -%}
                    {%- endif -%}
                {%- else -%}
                    {%- if resources.global_content_filter.include_unknown and not cell.get("transient",{}).get("remove_source", false) -%}
                        {%- block unknowncell scoped-%}
                        {%- endblock unknowncell -%}
                    {%- endif -%}
                {%- endif -%}
            {%- endblock any_cell -%}
        {%- endfor -%}
    {%- endblock body_loop -%}
    {%- block body_footer -%}
    {%- endblock body_footer -%}
{%- endblock body -%}

{%- block footer -%}
{%- endblock footer -%}

venv1/share/jupyter/nbconvert/templates/basic/index.html.j2
{%- extends 'classic/base.html.j2' -%}

venv1/share/jupyter/nbconvert/templates/classic/base.html.j2
{%- extends 'display_priority.j2' -%}
{% from 'celltags.j2' import celltags %}

{% block codecell %}
<div class="cell border-box-sizing code_cell rendered{{ celltags(cell) }}">
{{ super() }}
</div>
{%- endblock codecell %}

{% block input_group -%}
<div class="input">
{{ super() }}
</div>
{% endblock input_group %}

{% block output_group %}
<div class="output_wrapper">
<div class="output">
{{ super() }}
</div>
</div>
{% endblock output_group %}

{% block in_prompt -%}
<div class="prompt input_prompt">
    {%- if cell.execution_count is defined -%}
        In&nbsp;[{{ cell.execution_count|replace(None, "&nbsp;") }}]:
    {%- else -%}
        In&nbsp;[&nbsp;]:
    {%- endif -%}
</div>
{%- endblock in_prompt %}

{% block empty_in_prompt -%}
<div class="prompt input_prompt">
</div>
{%- endblock empty_in_prompt %}

{# 
  output_prompt doesn't do anything in HTML,
  because there is a prompt div in each output area (see output block)
#}
{% block output_prompt %}
{% endblock output_prompt %}

{% block input %}
<div class="inner_cell">
    <div class="input_area">
{{ cell.source | highlight_code(metadata=cell.metadata) }}
    </div>
</div>
{%- endblock input %}

{% block output_area_prompt %}
{%- if output.output_type == 'execute_result' -%}
    <div class="prompt output_prompt">
    {%- if cell.execution_count is defined -%}
        Out[{{ cell.execution_count|replace(None, "&nbsp;") }}]:
    {%- else -%}
        Out[&nbsp;]:
    {%- endif -%}
{%- else -%}
    <div class="prompt">
{%- endif -%}
    </div>
{% endblock output_area_prompt %}

{% block output %}
<div class="output_area">
{% if resources.global_content_filter.include_output_prompt %}
    {{ self.output_area_prompt() }}
{% endif %}
{{ super() }}
</div>
{% endblock output %}

{% block markdowncell scoped %}
<div class="cell border-box-sizing text_cell rendered{{ celltags(cell) }}">
{%- if resources.global_content_filter.include_input_prompt-%}
    {{ self.empty_in_prompt() }}
{%- endif -%}
<div class="inner_cell">
<div class="text_cell_render border-box-sizing rendered_html">
{{ cell.source  | markdown2html | strip_files_prefix }}
</div>
</div>
</div>
{%- endblock markdowncell %}

{% block unknowncell scoped %}
unknown type  {{ cell.type }}
{% endblock unknowncell %}

{% block execute_result -%}
{%- set extra_class="output_execute_result" -%}
{% block data_priority scoped %}
{{ super() }}
{% endblock data_priority %}
{%- set extra_class="" -%}
{%- endblock execute_result %}

{% block stream_stdout -%}
<div class="output_subarea output_stream output_stdout output_text">
<pre>
{{- output.text | ansi2html -}}
</pre>
</div>
{%- endblock stream_stdout %}

{% block stream_stderr -%}
<div class="output_subarea output_stream output_stderr output_text">
<pre>
{{- output.text | ansi2html -}}
</pre>
</div>
{%- endblock stream_stderr %}

{% block data_svg scoped -%}
<div class="output_svg output_subarea {{ extra_class }}">
{%- if output.svg_filename %}
<img src="{{ output.svg_filename | posix_path }}">
{%- else %}
{{ output.data['image/svg+xml'] }}
{%- endif %}
</div>
{%- endblock data_svg %}

{% block data_html scoped -%}
<div class="output_html rendered_html output_subarea {{ extra_class }}">
{{ output.data['text/html'] }}
</div>
{%- endblock data_html %}

{% block data_markdown scoped -%}
<div class="output_markdown rendered_html output_subarea {{ extra_class }}">
{{ output.data['text/markdown'] | markdown2html }}
</div>
{%- endblock data_markdown %}

{% block data_png scoped %}
<div class="output_png output_subarea {{ extra_class }}">
{%- if 'image/png' in output.metadata.get('filenames', {}) %}
<img src="{{ output.metadata.filenames['image/png'] | posix_path }}"
{%- else %}
<img src="data:image/png;base64,{{ output.data['image/png'] }}"
{%- endif %}
{%- set width=output | get_metadata('width', 'image/png') -%}
{%- if width is not none %}
width={{ width }}
{%- endif %}
{%- set height=output | get_metadata('height', 'image/png') -%}
{%- if height is not none %}
height={{ height }}
{%- endif %}
{%- if output | get_metadata('unconfined', 'image/png') %}
class="unconfined"
{%- endif %}
{%- set alttext=(output | get_metadata('alt', 'image/png')) or (cell | get_metadata('alt')) -%}
{%- if alttext is not none %}
alt="{{ alttext }}"
{%- endif %}
>
</div>
{%- endblock data_png %}

{% block data_jpg scoped %}
<div class="output_jpeg output_subarea {{ extra_class }}">
{%- if 'image/jpeg' in output.metadata.get('filenames', {}) %}
<img src="{{ output.metadata.filenames['image/jpeg'] | posix_path }}"
{%- else %}
<img src="data:image/jpeg;base64,{{ output.data['image/jpeg'] }}"
{%- endif %}
{%- set width=output | get_metadata('width', 'image/jpeg') -%}
{%- if width is not none %}
width={{ width }}
{%- endif %}
{%- set height=output | get_metadata('height', 'image/jpeg') -%}
{%- if height is not none %}
height={{ height }}
{%- endif %}
{%- if output | get_metadata('unconfined', 'image/jpeg') %}
class="unconfined"
{%- endif %}
{%- set alttext=(output | get_metadata('alt', 'image/jpeg')) or (cell | get_metadata('alt')) -%}
{%- if alttext is not none %}
alt="{{ alttext }}"
{%- endif %}
>
</div>
{%- endblock data_jpg %}

{% block data_latex scoped %}
<div class="output_latex output_subarea {{ extra_class }}">
{{ output.data['text/latex'] | e }}
</div>
{%- endblock data_latex %}

{% block error -%}
<div class="output_subarea output_text output_error">
<pre>
{{- super() -}}
</pre>
</div>
{%- endblock error %}

{%- block traceback_line %}
{{ line | ansi2html }}
{%- endblock traceback_line %}

{%- block data_text scoped %}
<div class="output_text output_subarea {{ extra_class }}">
<pre>
{{- output.data['text/plain'] | ansi2html -}}
</pre>
</div>
{%- endblock -%}

{%- block data_javascript scoped %}
{% set div_id = uuid4() %}
<div id="{{ div_id }}" class="output_subarea output_javascript {{ extra_class }}">
<script type="text/javascript">
var element = $('#{{ div_id }}');
{{ output.data['application/javascript'] }}
</script>
</div>
{%- endblock -%}

{%- block data_widget_state scoped %}
{% set div_id = uuid4() %}
{% set datatype_list = output.data | filter_data_type %} 
{% set datatype = datatype_list[0]%} 
<div id="{{ div_id }}" class="output_subarea output_widget_state {{ extra_class }}">
<script type="text/javascript">
var element = $('#{{ div_id }}');
</script>
<script type="{{ datatype }}">
{{ output.data[datatype] | json_dumps }}
</script>
</div>
{%- endblock data_widget_state -%}

{%- block data_widget_view scoped %}
{% set div_id = uuid4() %}
{% set datatype_list = output.data | filter_data_type %} 
{% set datatype = datatype_list[0]%} 
<div id="{{ div_id }}" class="output_subarea output_widget_view {{ extra_class }}">
<script type="text/javascript">
var element = $('#{{ div_id }}');
</script>
<script type="{{ datatype }}">
{{ output.data[datatype] | json_dumps }}
</script>
</div>
{%- endblock data_widget_view -%}

{%- block footer %}
{% set mimetype = 'application/vnd.jupyter.widget-state+json'%} 
{% if mimetype in nb.metadata.get("widgets",{})%}
<script type="{{ mimetype }}">
{{ nb.metadata.widgets[mimetype] | json_dumps }}
</script>
{% endif %}
{{ super() }}
{%- endblock footer-%}

venv1/share/jupyter/nbconvert/templates/classic/index.html.j2
{%- extends 'base.html.j2' -%}
{% from 'mathjax.html.j2' import mathjax %}
{% from 'jupyter_widgets.html.j2' import jupyter_widgets %}

{%- block header -%}
<!DOCTYPE html>
<html>
<head>
{%- block html_head -%}
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
{% set nb_title = nb.metadata.get('title', '') or resources['metadata']['name'] %}
<title>{{nb_title}}</title>

{%- block html_head_js -%}
{%- block html_head_js_jquery -%}
<script src="{{ resources.jquery_url }}"></script>
{%- endblock html_head_js_jquery -%}
{%- block html_head_js_requirejs -%}
<script src="{{ resources.require_js_url }}"></script>
{%- endblock html_head_js_requirejs -%}
{%- endblock html_head_js -%}

{% block jupyter_widgets %}
  {%- if "widgets" in nb.metadata -%}
    {{ jupyter_widgets(resources.jupyter_widgets_base_url, resources.html_manager_semver_range) }}
  {%- endif -%}
{% endblock jupyter_widgets %}

{% for css in resources.inlining.css -%}
  <style type="text/css">
  {{ css }}
  </style>
{% endfor %}

{% block notebook_css %}
{{ resources.include_css("static/style.css") }}
<style type="text/css">
/* Overrides of notebook CSS for static HTML export */
body {
  overflow: visible;
  padding: 8px;
}

div#notebook {
  overflow: visible;
  border-top: none;
}

{%- if resources.global_content_filter.no_prompt-%}
div#notebook-container{
  padding: 6ex 12ex 8ex 12ex;
}
{%- endif -%}

@media print {
  body {
    margin: 0;
  }
  div.cell {
    display: block;
    page-break-inside: avoid;
  }
  div.output_wrapper {
    display: block;
    page-break-inside: avoid;
  }
  div.output {
    display: block;
    page-break-inside: avoid;
  }
}
</style>
{% endblock notebook_css %}

{{ mathjax() }}

{%- block html_head_css -%}
{%- endblock html_head_css -%}

{%- endblock html_head -%}
</head>
{%- endblock header -%}

{% block body_header %}
<body>
  <div tabindex="-1" id="notebook" class="border-box-sizing">
    <div class="container" id="notebook-container">
{% endblock body_header %}

{% block body_footer %}
    </div>
  </div>
</body>
{% endblock body_footer %}

{% block footer %}
{% block footer_js %}
{% endblock footer_js %}
{{ super() }}
</html>
{% endblock footer %}

venv1/share/jupyter/nbconvert/templates/latex/display_priority.j2
((= Auto-generated template file, DO NOT edit directly!
    To edit this file, please refer to ../../skeleton/README.md =))


((*- extends 'null.j2' -*))

((=display data priority=))


((*- block data_priority scoped -*))
    ((*- for type in output.data | filter_data_type -*))
        ((*- if type == 'application/pdf' -*))
            ((*- block data_pdf -*))
            ((*- endblock -*))
        ((*- elif type == 'image/svg+xml' -*))
            ((*- block data_svg -*))
            ((*- endblock -*))
        ((*- elif type == 'image/png' -*))
            ((*- block data_png -*))
            ((*- endblock -*))
        ((*- elif type == 'text/html' -*))
            ((*- block data_html -*))
            ((*- endblock -*))
        ((*- elif type == 'text/markdown' -*))
            ((*- block data_markdown -*))
            ((*- endblock -*))
        ((*- elif type == 'image/jpeg' -*))
            ((*- block data_jpg -*))
            ((*- endblock -*))
        ((*- elif type == 'text/plain' -*))
            ((*- block data_text -*))
            ((*- endblock -*))
        ((*- elif type == 'text/latex' -*))
            ((*- block data_latex -*))
            ((*- endblock -*))
        ((*- elif type == 'application/javascript' -*))
            ((*- block data_javascript -*))
            ((*- endblock -*))
        ((*- elif type == 'application/vnd.jupyter.widget-state+json' -*))
            ((*- block data_widget_state -*))
            ((*- endblock -*))
        ((*- elif type == 'application/vnd.jupyter.widget-view+json' -*))
            ((*- block data_widget_view -*))
            ((*- endblock -*))
        ((*- else -*))
            ((*- block data_other -*))
            ((*- endblock -*))
        ((*- endif -*))
    ((*- endfor -*))
((*- endblock data_priority -*))

venv1/share/jupyter/nbconvert/templates/latex/index.tex.j2
((=- Default to the notebook output style -=))
((*- if not cell_style is defined -*))
    ((* set cell_style = 'style_jupyter.tex.j2' *))
((*- endif -*))

((=- Inherit from the specified cell style. -=))
((* extends cell_style *))


%===============================================================================
% Latex Article
%===============================================================================

((*- block docclass -*))
\documentclass[11pt]{article}
((*- endblock docclass -*))

venv1/share/jupyter/nbconvert/templates/latex/style_bw_python.tex.j2
((= Black&white Python input/output style =))

((*- extends 'base.tex.j2' -*))

%===============================================================================
% Input
%===============================================================================

((* block input scoped *))
\begin{verbatim}
((*- if resources.global_content_filter.include_input_prompt *))
((( cell.source | add_prompts )))
((* else *))
((( cell.source )))
((* endif *))
\end{verbatim}
((* endblock input *))

venv1/share/jupyter/nbconvert/templates/script/script.j2
{%- extends 'null.j2' -%}

{% block input %}
{{ cell.source }}
{% endblock input %}